> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decline task

> Decline a task



## OpenAPI

````yaml patch /v1/customers/{customer_id}/tasks/{id}/decline
openapi: 3.0.0
info:
  title: Tasks API
  version: 1.0.0
  description: API for managing tasks and assignments
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tasks
    description: Task management operations
  - name: Task Actions
    description: Task action operations
  - name: Task Assignees
    description: Task assignee operations
paths:
  /v1/customers/{customer_id}/tasks/{id}/decline:
    patch:
      tags:
        - Task Actions
      summary: Decline task
      description: Decline a task
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Task declined successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
        '404':
          $ref: '#/components/responses/TaskNotFoundError'
components:
  schemas:
    Task:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        category:
          type: string
          enum:
            - sign
            - approve
            - update
            - delete
        description:
          type: string
        is_urgent:
          type: boolean
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - canceled
            - declined
        weight:
          type: number
        performed_weight:
          type: number
        customer_id:
          type: string
          format: uuid
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/Assignee'
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
          format: uuid
        metadata:
          type: object
          properties:
            logs:
              type: array
              items:
                type: object
            actions:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
          additionalProperties: true
    Assignee:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        task_id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - declined
        weight:
          type: number
        task_completed:
          type: boolean
        assigned_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    TaskNotFoundError:
      description: Task not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: tasks.task_not_found
            message: Task not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````